<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.iocoder.yudao.module.base.mapper.DriveSchoolCourseDeductMapper">

    <select id="queryPage" resultType="cn.iocoder.yudao.module.base.vo.DriveSchoolCourseDeductVO">
        SELECT main.*, dsc.name AS courseName
        FROM drive_school_course_deduct main
        LEFT JOIN drive_school_course dsc ON main.course_id = dsc.id
    </select>
</mapper>
